#pragma once

#include <saas/library/persqueue/configuration/proto/types.pb.h>

namespace NSaasLB {
    TString FormatLogbrokerName(ELogbrokerName logbroker);
    TString GetLogbrokerEndpoint(ELogbrokerName logbroker);
    TString GetLogbrokerEndpointWithPort(const TString& endpoint);
    TString GetCMLogbrokerEndpointWithPort(const TString& endpoint);
    TString GetLogbrokerEndpointWithPort(ELogbrokerName logbroker);
    TString GetCMLogbrokerEndpointWithPort(ELogbrokerName logbroker);
    ELogbrokerName GetLogbrokerNameByEndpoint(const TString& endpoint);
    ELogbrokerName GetLogbrokerNameByEndpointWithPort(const TString& endpoint);
    TString GetYtDeliveryPath(ELogbrokerName logbroker);
}
